SendlySendly
API ReferenceVerify

Validate an email address

POST
/api/verify

Open endpoint (no auth required) that checks an email for syntax, MX records, disposable domains, and plus-addressing. Used by the marketing site verifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Body for POST /api/verify — validate email syntax, MX, disposable, etc.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/verify" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{
  "success": true,
  "data": {
    "email": "user@example.com",
    "valid": true,
    "reason": "string",
    "property1": null,
    "property2": null
  }
}
{
  "success": false,
  "error": {
    "message": "string",
    "code": "string",
    "details": {
      "errors": [
        null
      ]
    }
  }
}
{
  "success": false,
  "error": {
    "message": "string",
    "code": "string",
    "details": {
      "errors": [
        null
      ]
    }
  }
}